Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Kde 4.10.1 emerge problem
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
tczaude
n00b
n00b


Joined: 26 Oct 2012
Posts: 45

PostPosted: Mon Mar 25, 2013 8:09 pm    Post subject: Kde 4.10.1 emerge problem Reply with quote

Witam tym razem problem z innej beczki. Pracując na Overlay qt kde zuguana ostatnio gd ukazala sie nowa wersja kde mam problemik

Quote:


!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-python/PyQt4:0

(dev-python/PyQt4-4.10-r1000::gentoo, ebuild scheduled for merge) pulled in by
>=dev-python/PyQt4-4.9.5:0=[X,dbus,declarative,script,sql,svg,webkit,python_abis_2.5?,python_abis_2.6?,python_abis_2.7?,python_abis_3.1?,python_abis_3.2?,python_abis_3.3?,python_abis_3.4?] required by (kde-base/pykde4-4.10.1-r1000::gentoo, installed)
>=dev-python/PyQt4-4.9.5:0/QtCore-1=[X,dbus,declarative,script,sql,svg,webkit,python_abis_2.7,python_abis_3.2] required by (kde-base/pykde4-4.10.1-r1000::gentoo, installed)

(dev-python/PyQt4-4.10.1_pre20130321::qt, ebuild scheduled for merge) pulled in by
dev-python/PyQt4::qt required by @selected

dev-python/sip:0

(dev-python/sip-4.14.5_pre20130321::qt, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(dev-python/sip-4.14.4-r1000::gentoo, ebuild scheduled for merge) pulled in by
>=dev-python/sip-4.14.3:0=[python_abis_2.5?,python_abis_2.6?,python_abis_2.7?,python_abis_3.1?,python_abis_3.2?,python_abis_3.3?,python_abis_3.4?] required by (dev-python/PyQt4-4.10-r1000::gentoo, ebuild scheduled for merge)
>=dev-python/sip-4.14:0/9=[python_abis_2.7,python_abis_3.2] required by (kde-base/pykde4-4.10.1-r1000::gentoo, installed)
>=dev-python/sip-4.14:0=[python_abis_2.5?,python_abis_2.6?,python_abis_2.7?,python_abis_3.1?,python_abis_3.2?,python_abis_3.3?,python_abis_3.4?] required by (kde-base/pykde4-4.10.1-r1000::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.



emerge --info

Quote:

Portage 2.3.5-r7 (funtoo/1.0/linux-gnu/arch/x86-64bit, gcc-4.6.3, glibc-2.15-r3, 3.7.8-gentoo x86_64)
=================================================================
System uname: Linux-3.7.8-gentoo-x86_64-AMD_A10-4600M_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.2.0
KiB Mem: 7557632 total, 1195300 free
KiB Swap: 4883756 total, 4883740 free
Timestamp of tree: Sun, 24 Mar 2013 17:45:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash: 4.2_p37
dev-java/java-config: 2.1.12-r1000
dev-lang/python: 2.7.3-r1000, 3.2.3-r1000
dev-util/cmake: 2.8.10.2-r2::kde
sys-apps/baselayout: 2.2.0-r4
sys-apps/openrc: 0.10.2-r7
sys-apps/sandbox: 2.6
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.9.6-r3, 1.11.6
sys-devel/binutils: 2.22-r1
sys-devel/gcc: 4.6.3
sys-devel/gcc-config: 1.5-r1
sys-devel/libtool: 2.4.2
sys-devel/make: 3.82-r4
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc: 2.15-r3
Repositories: gentoo zugaina kde mysql qt udev xtreemfs
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=amdfam10 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="-j5 --load-average=2.95"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
LINGUAS="en pl"
MAKEOPTS="-j5 -l4.95"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/zugaina /var/lib/layman/kde /var/lib/layman/mysql /var/lib/layman/qt /var/lib/layman/udev /var/lib/layman/xtreemfs"
SYNC="git://github.com/funtoo/ports-2012.git"
SYNC_USER="root"
USE="X acl agent alsa amd64 android apng bcmath berkdb bzip2 c++0x cairo cdr consolekit cracklib crypt cups curl cxx dbus dri dvd dvdr dvdread efi examples exif extraengine ffmpeg fftw flac fpm frontend gadu gdbm gif gphoto2 gpm gps gstreamer gudev hvm iconv icu ipv6 jabber jpeg jpeg2k kde kdenlive keymap lame lcms ldap libnotify mad madde melt mercurial mmx mng modules mozdom mp3 mpeg msn mudflap multilib mysql mysqli mysqlnd ncurses nls nptl nsplugin ogg opengl openipmi openmp pam pbxt pch pcre pcre16 pdf pdo perforce png policykit pppd profiling pulseaudio python python3 qemu qnx qt4 rdesktop readline resolvconf rtsp sasl script sdl server skype snmp sockets sqlite sqlite3 sse sse2 ssh ssl svg sysvipc tcpd threads tiff tk truetype twolame udev udisks unicode upnp v4l valgrind vnc vorbis wavpack webkit wifi wma-fixed wmf x264 xml xmlreader xmlwriter xosd xpm xtradb xv zlib zvbi" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias authn_core authz_core socache_shmcb unixd" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en pl" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_ABIS="2.7 3.2" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK


Nie wiem o co biega. P
róbowałem na przemian instalować sip usuwać jakkolwiek bym nie kombinował zawsze zatrzymuje sie w powyższym miejscu.
jedynym rozwiązanie wydaje się odmaskować wszystkie wersje pythona ale po co mi w systemie python 2.5 ktory ma już ma chyba hard mask zresztą ale tu głowy nie dam.
Nie wiem czy ktoś z forumowiczów jeśli ma jakieś pomysły proszę o podpowiedź

Pozdrawiam
Back to top
View user's profile Send private message
sherszen
Apprentice
Apprentice


Joined: 28 Jul 2006
Posts: 210

PostPosted: Mon Mar 25, 2013 11:36 pm    Post subject: Reply with quote

Po co się bawisz overlayami? W drzewku jest przecież ta wersja KDE. Proponuję usunięcie overlayów i instalację ze standardowego drzewa. Opcją jest zamaskowanie całego overleya i odmaskowanie tylko tych pakietów, które chcemy. Zdecydowanie dużo roboty, ale jak chcesz się bawić, to proszę bardzo.
Back to top
View user's profile Send private message
tczaude
n00b
n00b


Joined: 26 Oct 2012
Posts: 45

PostPosted: Tue Mar 26, 2013 11:19 am    Post subject: Reply with quote

z overlay ciągnę QT-5 bo na razie tylko tam jest.
Stad ta potrzeba.
Na razie usunę overlay z qt i zobaczę co dalej potem go dodam

Może głupie pytanie to jak zamaskować samego overlay z qt.

Pakiety wtedy będę ręcznie odmaskowywał
Back to top
View user's profile Send private message
sherszen
Apprentice
Apprentice


Joined: 28 Jul 2006
Posts: 210

PostPosted: Tue Mar 26, 2013 1:37 pm    Post subject: Reply with quote

Spróbuj tak, tylko upewnij się, że posiadasz odpowiednio nowe portage:

Code:
 # cat /etc/portage/package.mask
*/*::wdzierzan
*/*::zugaina
*/*::dauleet


Potem tylko to co chcesz wrzucasz do package.unmask, a jak coś wymaga to do .keywords. :P
Back to top
View user's profile Send private message
tczaude
n00b
n00b


Joined: 26 Oct 2012
Posts: 45

PostPosted: Tue Apr 02, 2013 8:15 pm    Post subject: Reply with quote

dobrze trochę się nakombinowałem z usuwaniem dodawanie overlay-ów ale wszystko już powoli wraca do normy.

Sherszen dzięki za podpowiedz ja wpisywałem *::qt i tak nie działało

A takie pytanie z innej beczki czy w pliku package.mask da się implikować inne pliki ??
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 356
Location: Kraków

PostPosted: Tue Apr 02, 2013 10:26 pm    Post subject: Reply with quote

Myślę, że chodziło Ci o słowo "inkludować". Możesz sobie zrobić katalog /etc/portage/package.mask i tam wrzucać co chcesz.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
tczaude
n00b
n00b


Joined: 26 Oct 2012
Posts: 45

PostPosted: Sun Apr 07, 2013 8:37 pm    Post subject: [Solved] Reply with quote

Dzięki chłopaki w sumie chyba wszystko poprawnie się skoczyło i poprawiłem wiedzę :)

Topic do zamkniecia
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum